gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. An action which can be triggered by a menu or toolbar item.

Actions represent operations that the user can be perform, along with some information how it should be presented in the interface. Each action provides methods to create icons, menu items and toolbar items representing itself.

As well as the callback that is called when the action gets activated, the following also gets associated with the action:

a name (not translated, for path lookup)
a label (translated, for display)
an accelerator
whether label indicates a stock id
a tooltip (optional, translated)
a toolbar label (optional, shorter than label)

The action will also have some state information:

visible (shown/hidden)
sensitive (enabled/disabled)

Apart from regular actions, there are toggle actions, which can be toggled between two states and radio actions, of which only one in a group can be in the "active" state. Other actions can be implemented as subclasses.

Each action can have one or more proxy menu item, toolbar button or other proxy widgets. Proxies mirror the state of the action (text label, tooltip, icon, visible, sensitive, etc), and should change when the action's state changes. When the proxy is activated, it should activate its action.

GLib.Object GLib.IWrapper System.IDisposable
- Method
  System.Void To be added To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` Disables calls to the function by signals on the given proxy widget. a This is used to break notification loops for things like check or radio actions. This function is intended for use by action implementations.
- Method
  Gtk.Widget Creates a menu item widget that proxies for the given action. a that is a menu item connected to the action.
- Method
  System.Void Emits on the specified action, if it is not insensitive. This gets called by the proxy widgets when they get activated. It can also be used to manually activate an action.
- Method
  System.Void Undoes the effect of one call to .
- Method
  System.Void `` Re-enables calls to the function by signals on the given proxy widget. a This undoes the blocking done by . This function is intended for use by action implementations.
- Method
  Gtk.Widget `` This function is intended for use by action implementations to create icons displayed in the proxy widgets. a , the size of the icon that should be created. a that displays the icon for this action.
- Method
  System.Void Installs the accelerator for action if action has an AccelPath and AccelGroup. See and

  Since multiple proxies may independently trigger the installation of the accelerator, the action counts the number of times this function has been called and does not remove the accelerator until has been called as many times.

- Method
  Gtk.Widget Creates a toolbar item widget that proxies for the given action. a that is a toolbar item connected to the action.
- Method
  System.Void `` Connects a widget to an action object as a proxy. a Synchronises various properties of the action with the widget (such as label text, icon, tooltip, etc), and attaches a callback so that the action gets activated when the proxy widget does. If the widget is already connected to an action, it is disconnected first.
- Method
  System.Void `` Disconnects a proxy widget from an action. a Does not destroy the widget, however.
- Constructor
  Internal constructor
  a
  a
- Constructor
  Internal constructor
  a
  a
- Constructor
  Creates a new action from the , , , and .
  A unique name for the action
  the label displayed in menu items and on buttons
  a tooltip for the action, or for no tooltip
  the stock icon to display in widgets representing the action, or
  a
- Constructor
  Creates a new action from the and .
  A unique name for the action
  the label displayed in menu items and on buttons
  a
  Convenience constructor for passing in for the last two parameters.
- Property
  GLib.GType To be added a To be added
- Property
  System.Boolean Whether the action is considered important. a When , toolitem proxies for this action show text in mode. Default value:
- Property
  System.Boolean When , toolitem proxies for this action are represented in the toolbar overflow menu. a Default value is
- Property
  System.String The stock icon displayed in widgets representing this action. a Default value is
- Property
  System.Boolean When , empty menu proxies for this action are hidden. a Default value:
- Property
  System.String A unique name for the action. a
- Property
  System.String A shorter label that may be used on toolbar buttons. a Default value is
- Property
  System.Boolean Whether the toolbar item is visible when the toolbar is in a horizontal orientation. a Default value is
- Property
  Gtk.ActionGroup To be added a To be added
- Property
  System.String The label used for menu items and buttons that activate this action. a Default value is
- Property
  System.String A tooltip for this action. a Default value is
- Property
  System.Boolean Whether the action itself is sensitive. a

  This does not necessarily mean effective sensitivity. See for that.

- Property
  System.Boolean Whether the action itself is visible. a

  This does not necessarily mean effective visibility. See for that.

- Property
  Gtk.AccelGroup The in which the accelerator for this action will be installed. a or
- Property
  System.Boolean whether the action is effectively sensitive. a if the action and its associated action group are both sensitive.
- Property
  System.Boolean Whether the action is effectively visible. a if the action and its associated action group are both visible.
- Property
  GLib.SList Returns the proxy widgets for an action. a of proxy widgets. The list is owned by the action and must not be modified.
- Property
  System.String The accel path for this action. a All proxy widgets associated with the action will have this accel path, so that their accelerators are consistent.
- Event
  System.EventHandler To be added To be added